## python-adguardhome 0.7.0

=== .github/workflows/requirements.txt ===
pip==24.1
poetry==1.8.3

=== debian/changelog ===
python-adguardhome (0.7.0-2) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Aug 2024 18:51:30 +0200

python-adguardhome (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077007)

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2024 14:07:06 +0200

=== debian/control ===
Source: python-adguardhome
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-yarl,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-adguardhome
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-adguardhome.git
Homepage: https://github.com/frenck/python-adguardhome

Package: python3-adguardhome
Architecture: all
Depends:
 python3-aiohttp,
 python3-yarl,
 ${misc:Depends},
 ${python3:Depends},
Description: Asynchronous Python client for the AdGuard Home API
 This package allows you to control and monitor an AdGuard Home instance
 programmatically. It is mainly created to allow third-party programs to
 automate the behavior of AdGuard.
 .
 An excellent example of this might be Home Assistant, which allows you to
 write automations, to turn on parental controls when the kids get home.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/frenck/adguardhome.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	echo "no tests for now"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/adguardhome/adguardhome-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
